Orgs Contacts
Merge contacts
Merge other contacts INTO the contact in the URL. If source_contact_ids is provided, those exact contacts are merged in; otherwise every auto-detected duplicate is merged. Source contacts are deleted.
POST
/
orgs
/
{org_id}
/
contacts
/
{contact_id}
/
merge
Merge contacts
curl --request POST \
--url https://api.useinvent.com/orgs/{org_id}/contacts/{contact_id}/merge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_contact_ids": [
"<string>"
]
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/contacts/{contact_id}/merge"
payload = { "source_contact_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({source_contact_ids: ['<string>']})
};
fetch('https://api.useinvent.com/orgs/{org_id}/contacts/{contact_id}/merge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"merged": {
"id": "<string>",
"name": "<string>",
"blocked": true,
"unsubscribed": true,
"ai_replies": true,
"is_admin": true,
"channels": [
{
"id": "<string>",
"user_id": "<string>",
"avatar": "<string>",
"name": "<string>",
"username": "<string>",
"email": "<string>",
"phone": "<string>",
"country": "<string>",
"agent": "<string>",
"ip": "<string>",
"language": "<string>",
"platform_data": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"link": "<string>"
}
],
"segments": [
{
"id": "<string>",
"name": "<string>",
"contacts_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"properties": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"blocked_at": "2023-11-07T05:31:56Z",
"unsubscribed_at": "2023-11-07T05:31:56Z",
"unsubscribe_reason": "<string>",
"unsubscribe_feedback": "<string>",
"ai_replies_at": "2023-11-07T05:31:56Z"
},
"merged_contact_ids": [
"<string>"
]
}Authorizations
Bearer token authentication using your API key
Body
application/jsonmultipart/form-data
Contacts to merge into the primary. Omit to merge all auto-detected duplicates.
Required array length:
1 - 50 elementsWas this page helpful?
⌘I
Merge contacts
